package com.ibm.swg.app.jobplan;

import java.rmi.RemoteException;

import psdi.mbo.MboValue;
import psdi.mbo.SynonymDomain;
import psdi.util.MXException;

import com.ibm.swg.util.DJPConstants;

public class FldDJPJobServiceCalcApplyTo extends SynonymDomain implements DJPConstants {

	public FldDJPJobServiceCalcApplyTo(MboValue mv) {
		super(mv);
		setDomainId("CALCAPPLYTO");
		setConditionalValWhere("maxvalue = 'QUANTITY'");
	}

	@Override
	public void init() throws MXException, RemoteException {
		super.init();

		// By default = !QUANTITY!, and as it is on the jobmaterials, it's the only value authorized
		mboValue.setFlag(READONLY, true);
	}
	
}