package com.ibm.swg.app.jobplan.virtual;

import java.rmi.RemoteException;

import psdi.mbo.MAXTableDomain;
import psdi.mbo.MboValue;
import psdi.util.MXException;

public class FldSimulationUnitId extends MAXTableDomain {

	public FldSimulationUnitId(MboValue mbv) {
		super(mbv);
		try {
			if ( !mbv.getMbo().isNull("JPNUM") ) {
				String sql = "measureunitid = :JOBPLAN.UNITSOFWORK OR exists (SELECT * FROM conversion WHERE ( frommeasureunit = :JOBPLAN.UNITSOFWORK AND measureunit.measureunitid = tomeasureunit) OR (measureunit.measureunitid = frommeasureunit AND tomeasureunit = :JOBPLAN.UNITSOFWORK))";
				setRelationship("MEASUREUNIT", sql);
				setListCriteria(sql);
			} else {
				setRelationship("MEASUREUNIT", " (orgid = :orgid and siteid = :siteid)");
			}
		} catch (RemoteException e) {
		} catch (MXException e) {
		}
		
		String[] targetKeys = new String[]{mbv.getAttributeName()};
		String[] sourceKeys = new String[]{"MEASUREUNITID"};
		setLookupKeyMapInOrder(targetKeys, sourceKeys );
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
//		if ( mboValue.getMbo().getMboSet("ASSET").getMbo(0) != null && mboValue.getMbo().getMboSet("ASSET").getMbo(0).getBoolean("ISLINEAR") ) {
//			if( !getMboValue("STARTMEASURE").isNull() &&)
//			((SimulationRemote)mboValue.getMbo()).calculateTotalWorkUnits();
//		}
	}

}
