package com.ibm.swg.app.resourcelevels;

import java.rmi.RemoteException;

import psdi.mbo.MboRemote;
import psdi.util.MXException;

public interface ResourceByLevelRemote extends MboRemote {

	public static final String RESOURCELEVELSNUM = "RESOURCELEVELSNUM";
	public static final String LOWERTHRESHOLD = "LOWERTHRESHOLD";
	public static final String UPPERTHRESHOLD = "UPPERTHRESHOLD";
	public static final String QUANTITY = "QUANTITY";
	public static final String HOURS = "HOURS";
	public static final String ORGID = "ORGID";
	
	
	public double getQuantity() throws RemoteException, MXException;
	public double getHours() throws RemoteException, MXException;
	
	public double getLowerThreshold() throws RemoteException, MXException;
	public double getUpperThreshold() throws RemoteException, MXException;
	
	public String getOrgId() throws RemoteException, MXException;
}
