package com.ibm.swg.app.resourcelevels;

import java.rmi.RemoteException;

import psdi.mbo.MboRemote;
import psdi.util.MXException;

public interface ResourceLevelsRemote extends MboRemote {

	
	public static final String RESOURCELEVELSNUM = "RESOURCELEVELSNUM";
	public static final String DESCRIPTION = "DESCRIPTION";
	public static final String TYPE = "TYPE";
	public static final String MEASUREUNITID = "MEASUREUNITID";
	public static final String SOURCE= "SOURCE";
	public static final String ORGID = "ORGID";
	
	public static final String LEVELS = "LEVELS";
	

	String getResourceLevelsNum() throws RemoteException, MXException;
	
	ResourceByLevelSetRemote getLevels() throws RemoteException, MXException;
	
	ResourceByLevelRemote getLevelForValue(double value) throws RemoteException, MXException;
	
}
