package com.ibm.swg.app.route;

import java.rmi.RemoteException;

import com.ibm.swg.util.DJPConstants;

import psdi.mbo.MboConstants;
import psdi.mbo.MboRemote;
import psdi.mbo.MboValue;
import psdi.util.MXException;

public class FldDJPRouteStopJpnum extends psdi.app.route.FldRouteStopJPNum {

	public FldDJPRouteStopJpnum(MboValue mbv) throws MXException, RemoteException {
		super(mbv);
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
		MboRemote jp =  mboValue.getMbo().getMboSet("JOBPLAN").getMbo(0);
		boolean mustApplyLinearCalculation =  jp != null && jp.getBoolean("DYNAMIC") && !jp.getBoolean("APPLYNONDYNAMICCALC");
		if ( mustApplyLinearCalculation ) {
			double start = getMboValue("STARTMEASURE").getDouble();
			double end =  getMboValue("ENDMEASURE").getDouble();

			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, true);
			getMboValue(DJPConstants.TOTALWORKUNITS).setValue(Math.abs(end - start), MboConstants.NOACCESSCHECK);
			
		}
	}

}
