package com.ibm.swg.app.workorder;

import java.rmi.RemoteException;

import com.ibm.swg.util.DJPConstants;

import psdi.app.workorder.FldWOJobPlan;
import psdi.mbo.MboValue;
import psdi.util.MXException;

public class FldDJPWOJobPlan extends FldWOJobPlan {

	public FldDJPWOJobPlan(MboValue mbv) throws MXException {
		super(mbv);
	}

	@Override
	public void action() throws MXException, RemoteException {
		super.action();
		
		if ( !mboValue.isNull() && mboValue.getMbo().isBasedOn("WORKORDER") ) {
			DJPWORemote wo = (DJPWORemote) mboValue.getMbo();
			if ( wo.getBoolean("JOBPLAN." + DJPConstants.DYNAMIC) ) {
				wo.setFieldFlag(DJPConstants.UNITSOFWORK, READONLY, false);
				wo.setFieldFlag(DJPConstants.UNITSOFWORK, REQUIRED, true);
				wo.calculateDynamicJobPlan();
			}
			
		}
	}
}
