package com.ibm.swg.webclient.beans.workorder;

import java.rmi.RemoteException;

import psdi.mbo.MboRemote;
import psdi.util.MXApplicationException;
import psdi.util.MXException;
import psdi.webclient.beans.workorder.WorkorderAppBean;

import com.ibm.swg.app.workorder.DJPWORemote;

public class DJPWorkorderAppBean extends WorkorderAppBean {

	public DJPWorkorderAppBean() {
		super();
	}
	
	public int REFRESH_TOTALWORKUNITS() throws RemoteException, MXException {
		
		DJPWORemote wo = (DJPWORemote) getMbo();
		if ( wo != null ) {
			wo.calculateTotalWorkUnits();
			invalidateTableData();
			moveTo(getCurrentRow());
		}
		
		
		return EVENT_HANDLED;
	}
	
	public int DYNAPPLY() throws RemoteException, MXException {
		MboRemote jobplan = getMbo().getMboSet("JOBPLAN").getMbo(0);
		if ( jobplan != null && jobplan.getBoolean("DYNAMIC")) {
			DJPWORemote wo = (DJPWORemote) getMbo();
			wo.calculateDynamicJobPlan();
			invalidateTableData();
			moveTo(getCurrentRow());
		} else {
			MXApplicationException e = new MXApplicationException("dynamicjobplan", "notDynamic");
			getMbo().getThisMboSet().addWarning(e);
		}
		return EVENT_HANDLED;
	}
}
