package com.ibm.swg.app.jobplan;

import java.rmi.RemoteException;

import psdi.mbo.Mbo;
import psdi.mbo.MboServerInterface;
import psdi.mbo.MboSet;
import psdi.util.MXApplicationException;
import psdi.util.MXException;

public class JobResourceAttributeSet extends MboSet implements JobResourceAttributeSetRemote {

	public JobResourceAttributeSet(MboServerInterface ms)
			throws RemoteException {
		super(ms);
	}

	@Override
	protected Mbo getMboInstance(MboSet ms) throws MXException, RemoteException {
		return new JobResourceAttribute(ms);
	}

	@Override
	public void canAdd() throws MXException {
		super.canAdd();
		
		try {
			if ( getOwner().getOwner().getString("STATUS").equals("ACTIVE")) {
				throw new MXApplicationException("system","cannotAdd");
			}
		} catch (RemoteException e) {
		}
	}
}
