package com.ibm.swg.app.workorder;

public interface DJPConstants {

	public static final String HOURS_TAG = "$HOURS";
	public static final String QUANTITY_TAG = "$QUANTITY";

	// On JOBPLAN, JOBTASK, JOBITEM (JOBLABOR, JOBMATERIAL, JOBTOOL, JOBSERVICE)
	public static final String CALCAPPLYTO = "CALCAPPLYTO";
	// On JOBPLAN, JOBTASK, JOBITEM (JOBLABOR, JOBMATERIAL, JOBTOOL, JOBSERVICE)
	public static final String CALCLEVEL = "CALCLEVEL";
	// On JOBPLAN, JOBTASK, JOBITEM (JOBLABOR, JOBMATERIAL, JOBTOOL, JOBSERVICE)
	public static final String CALCMETHOD = "CALCMETHOD";
//	public static final String CALCATTRIBUTE = "CALCATTRIBUTE";
//	public static final String CALCATTRIBUTES = "ASSETATTRIBUTES";
	
	// On JOBPLAN, JOBTASK, JOBITEM (JOBLABOR, JOBMATERIAL, JOBTOOL, JOBSERVICE)
	public static final String CALCEXPRESSION = "CALCEXPRESSION";
	
	// On JOBPLAN
	public static final String UNITSOFWORKMULTIPLIER = "UNITSOFWORKMULTIPLIER";
	public static final String DYNAMIC = "DYNAMIC";
	
	
	// On JOBPLAN and WORKORDER
	public static final String UNITSOFWORK = "UNITSOFWORK";
		
		
	public static final String JOBTASKID = "JOBTASKID";
	public static final String JOBITEMID = "JOBITEMID";
	public static final String JOBLABORID = "JOBLABORID";
		
	public static final String[] attributesToCopyForTask 		= {JOBTASKID};
	public static final String[] attributesToCopyForLabor		= {JOBLABORID};
	public static final String[] attributesToCopyForItem		= {JOBITEMID};
	
	
	// Domain values for calculation type 
	public static final String CALCMETHOD_STATIC = "STATIC";
	public static final String CALCMETHOD_PROPORTIONAL = "PROPORTIONAL";
	public static final String CALCMETHOD_LEVEL = "LEVEL";
//	public static final String CALCMETHOD_ATTRIBUTE = "ATTRIBUTE";
	public static final Object CALCMETHOD_PROPORTIONAL_ATTRIBUTE = "ATTR_PROP";
	public static final String CALCMETHOD_LEVEL_ATTRIBUTE = "ATTR_LVL";


		
}
