package com.ibm.swg.app.workorder;

import java.rmi.RemoteException;

import psdi.mbo.Mbo;
import psdi.mbo.MboServerInterface;
import psdi.mbo.MboSet;
import psdi.util.MXException;

public class DJPMultiAssetLocCISet extends psdi.app.workorder.MultiAssetLocCISet {

	public DJPMultiAssetLocCISet(MboServerInterface ms) throws MXException,
			RemoteException {
		super(ms);
	}

	protected void markDJPWoToBeSaved() throws RemoteException {
		if ( getOwner() != null && getOwner() instanceof DJPWORemote ) {
			getOwner().setModified(true);
		}

	}
		
	@Override
	protected Mbo getMboInstance(MboSet ms) throws MXException, RemoteException {
		return new DJPMultiAssetLoCI(ms);
	}
	
	@Override
	public void deleteAll(long accessModifier) throws MXException,
			RemoteException {
		super.deleteAll(accessModifier);
		markDJPWoToBeSaved();
	}
	
	@Override
	public void deleteAndRemove(int pos, long accessModifier)
			throws MXException, RemoteException {
		super.deleteAndRemove(pos, accessModifier);
		markDJPWoToBeSaved();
	}
	
}
