package com.ibm.swg.app.jobplan.virtual;

import java.rmi.RemoteException;

import com.ibm.swg.util.DJPConstants;

import psdi.mbo.Mbo;
import psdi.mbo.MboConstants;
import psdi.mbo.MboRemote;
import psdi.mbo.MboSetRemote;
import psdi.mbo.MboValue;
import psdi.mbo.MboValueAdapter;
import psdi.util.MXException;

public class FldSimulationMultiAssetLocCITotalWorkUnits extends MboValueAdapter {


	public FldSimulationMultiAssetLocCITotalWorkUnits(MboValue mbv) {
		super(mbv);
	}
	
	@Override
	public void init() throws MXException, RemoteException {
		super.init();
		
		Mbo jobplan = (Mbo) getMboValue().getMbo().getOwner().getOwner();
		MboSetRemote assetSet = mboValue.getMbo().getMboSet("ASSET");
		assetSet.reset();
		MboRemote asset = assetSet.getMbo(0);
		
		boolean mustApplyLinearCalculation = jobplan != null && jobplan.getBoolean("DYNAMIC") && !jobplan.getBoolean("APPLYNONDYNAMICCALC");
		if ( mustApplyLinearCalculation && asset != null && asset.getBoolean("ISLINEAR") ) {
			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, true);
		} else {
			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, false);
		}
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
//		if ( getMboValue().getMbo().getThisMboSet().getMboSetInfo().getObjectName().equals("WORKORDER") ) {
//			DJPWORemote wo = (DJPWORemote) getMboValue().getMbo();
//			wo.calculateDynamicJobPlan();
//		}
	}

}
