package com.ibm.swg.app.jobplan.virtual;

import java.rmi.RemoteException;

import psdi.mbo.MboRemote;
import psdi.mbo.MboSet;
import psdi.mbo.NonPersistentMbo;
import psdi.util.MXException;

public class MultiAssetLocCI extends NonPersistentMbo implements MultiAssetLocCIRemote {

	public MultiAssetLocCI(MboSet ms) throws RemoteException {
		super(ms);
	}

	@Override
	public void add() throws MXException, RemoteException {
		super.add();
		
		MboRemote parent = getOwner();
		setValue("ORGID", parent.getString("ORGID"));
		setValue("SITEID", parent.getString("SITEID"));
		
		long jobplanid = getOwner().getOwner().getUniqueIDValue();
		getMboSet("JOBPLAN","JOBPLAN","jobplanid = " + jobplanid);
	}
}
