package com.ibm.swg.app.pm;

import java.rmi.RemoteException;

import com.ibm.swg.util.DJPConstants;

import psdi.mbo.MboConstants;
import psdi.mbo.MboRemote;
import psdi.mbo.MboValue;
import psdi.util.MXException;

public class FldDJPPMSeqJpnum extends psdi.app.pm.FldPMSeqJpnum {

	public FldDJPPMSeqJpnum(MboValue mbv) throws MXException, RemoteException {
		super(mbv);
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
		
		MboRemote pm = getMboValue().getMbo().getOwner();
		MboRemote jp =  mboValue.getMbo().getMboSet("PLUSCJOBPLAN").getMbo(0);
		boolean mustApplyLinearCalculation =  jp != null && jp.getBoolean("DYNAMIC") && !jp.getBoolean("APPLYNONDYNAMICCALC");
		if ( mustApplyLinearCalculation ) {
			double start = pm.getDouble("STARTMEASURE");
			double end =  pm.getDouble("ENDMEASURE");

			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, true);
			getMboValue(DJPConstants.TOTALWORKUNITS).setValue(Math.abs(end - start), MboConstants.NOACCESSCHECK);
			
		}
	}

}
