package com.ibm.swg.app.route;

import java.rmi.RemoteException;

import psdi.mbo.MboConstants;
import psdi.mbo.MboRemote;
import psdi.mbo.MboValue;
import psdi.mbo.MboValueAdapter;
import psdi.util.MXException;

import com.ibm.swg.util.DJPConstants;

public class FldDJPRouteStopTotalWorkUnits extends MboValueAdapter {


	public FldDJPRouteStopTotalWorkUnits(MboValue mbv) {
		super(mbv);
	}
	
	@Override
	public void init() throws MXException, RemoteException {
		super.init();
		
		
		MboRemote asset = mboValue.getMbo().getMboSet("ASSET").getMbo(0);
		MboRemote jp =  mboValue.getMbo().getMboSet("JOBPLAN").getMbo(0);
		boolean mustApplyLinearCalculation =  jp != null && jp.getBoolean("DYNAMIC") && !jp.getBoolean("APPLYNONDYNAMICCALC");
		if ( mustApplyLinearCalculation && asset != null && asset.getBoolean("ISLINEAR") ) {
			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, true);
		} else {
			getMboValue(DJPConstants.TOTALWORKUNITS).setFlag(MboConstants.READONLY, false);
		}
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
//		if ( getMboValue().getMbo().getThisMboSet().getMboSetInfo().getObjectName().equals("WORKORDER") ) {
//			DJPWORemote wo = (DJPWORemote) getMboValue().getMbo();
//			wo.calculateDynamicJobPlan();
//		}
	}

}
