package com.ibm.swg.app.workorder;

import java.rmi.RemoteException;

import psdi.app.workorder.WORemote;
import psdi.mbo.MboRemote;
import psdi.util.MXException;

public interface DJPWORemote extends WORemote {

	public static final String TOTALWORKUNITS = "TOTALWORKUNITS";
	
	public static final String DJPAPPLIED = "DJPAPPLIED";
	
	public static final String DJPERROR = "DJPERROR";
	
	void calculateDynamicJobPlan() throws RemoteException, MXException;
	
	void calculateTotalWorkUnits() throws RemoteException, MXException;

	boolean isCalculationAppliedSuccessfully() throws RemoteException, MXException;

	void calculateTotalWorkUnitsFor(MboRemote multiAssetLocCI, String unitOfWork)
			throws RemoteException, MXException;
}
