package com.ibm.swg.app.workorder;

import java.rmi.RemoteException;

import psdi.mbo.Mbo;
import psdi.mbo.MboConstants;
import psdi.mbo.MboRemote;
import psdi.mbo.MboValue;
import psdi.mbo.MboValueAdapter;
import psdi.mbo.Translate;
import psdi.util.MXException;

public class FldDJPWOTotalWorkUnits extends MboValueAdapter {


	public FldDJPWOTotalWorkUnits(MboValue mbv) {
		super(mbv);
	}
	
	@Override
	public void init() throws MXException, RemoteException {
		super.init();
		
		Mbo wo = (Mbo) getMboValue().getMbo().getOwner();
		Translate t = wo.getTranslator();
		if ( !t.toInternalString("WOSTATUS", wo.getString("STATUS")).equals("WAPPR")) {
			mboValue.setFlag(READONLY, true);
			return;
		}
		
		MboRemote asset = mboValue.getMbo().getMboSet("ASSET").getMbo(0);
		if ( wo instanceof DJPWO && ((DJPWO)wo).mustApplyLinearCalculation() && asset != null && asset.getBoolean("ISLINEAR") ) {
			mboValue.setFlag(MboConstants.READONLY, true);
		} else {
			mboValue.setFlag(MboConstants.READONLY, false);
		}
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
//		if ( getMboValue().getMbo().getThisMboSet().getMboSetInfo().getObjectName().equals("WORKORDER") ) {
//			DJPWORemote wo = (DJPWORemote) getMboValue().getMbo();
//			wo.calculateDynamicJobPlan();
//		}
	}

}
