package com.ibm.swg.webclient.beans.common;

import java.rmi.RemoteException;

import com.ibm.swg.util.PreparedScript;

import psdi.util.MXException;
import psdi.webclient.system.beans.DataBean;
import psdi.webclient.system.controller.WebClientEvent;

public class ExpressionBuilderAttributesBean extends DataBean {
	
	public int addAttribute() throws MXException, RemoteException {
		WebClientEvent event = clientSession.getCurrentEvent();
		try
		{
			int row = getRowIndexFromEvent(event);
			
			String assetAttrid = "";
			if ( getMbo(row).isBasedOn("FEATURESPEC")) {
				assetAttrid = PreparedScript.getStartDelimiter() +  getMbo(row).getString("FEATURE") + ":" + getMbo(row).getString("ASSETATTRID") + PreparedScript.getEndDelimiter();
			} else if ( getMbo(row).isBasedOn("ASSETATTRIBUTE") ){
				assetAttrid = PreparedScript.getStartDelimiter() +  getMbo(row).getString("ASSETATTRID") + PreparedScript.getEndDelimiter();
			}
				
			DataBean tmp = this.getParent();
			while ( tmp != null && !(tmp instanceof DynamicExpressionBuilderBean) ) {
				tmp = tmp.getParent();
			}
			WebClientEvent newEvent = new WebClientEvent("addToken",tmp.getId(),assetAttrid,clientSession);
			clientSession.queueEvent(newEvent);
		}
		catch (RemoteException e)
		{
			handleRemoteException(e);
		}
		return EVENT_HANDLED;
	}
}
