package com.ibm.swg.webclient.beans.jobplan;

import java.rmi.RemoteException;

import com.ibm.swg.util.PreparedScript;

import psdi.util.MXException;
import psdi.webclient.system.beans.DataBean;
import psdi.webclient.system.controller.WebClientEvent;

public class ExpressionBuilderAttributesBean extends DataBean {
	
	public int addAttribute() throws MXException, RemoteException {
		WebClientEvent event = clientSession.getCurrentEvent();
		try
		{
			int row = getRowIndexFromEvent(event);
			String assetAttrid = PreparedScript.getStartDelimiter() +  getMbo(row).getString("ASSETATTRID") + PreparedScript.getEndDelimiter();
			
			WebClientEvent newEvent = new WebClientEvent("addToken",this.getParent().getId(),assetAttrid,clientSession);
			clientSession.queueEvent(newEvent);
		}
		catch (RemoteException e)
		{
			handleRemoteException(e);
		}
		return EVENT_HANDLED;
	}
}
