package com.ibm.swg.app.jobplan;

import java.rmi.RemoteException;

import com.ibm.swg.util.DJPConstants;

import psdi.mbo.MboValue;
import psdi.mbo.MboValueAdapter;
import psdi.util.MXException;

public class FldJobPlanDynamic extends MboValueAdapter {

	public FldJobPlanDynamic(MboValue mbv) {
		super(mbv);
	}

	@Override
	public void init() throws MXException, RemoteException {
		super.init();
		mboValue.setFlag(READONLY, getMboValue("JPDURATION").isFlagSet(READONLY));
		getMboValue(DJPConstants.APPLYNONDYNAMICCALC).setFlag(READONLY, getMboValue("JPDURATION").isFlagSet(READONLY));
	}
	
	@Override
	public void action() throws MXException, RemoteException {
		super.action();
		boolean thisValue = mboValue.getBoolean();
		getMboValue(DJPConstants.UNITSOFWORK).setFlag(REQUIRED, thisValue);
		getMboValue(DJPConstants.UNITSOFWORKMULTIPLIER).setFlag(REQUIRED, thisValue);
	}
	
}
